package com.jeeplus.modules.sg.managementcenter.constructionProject.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class ConstructionProjectTemporary extends DataEntity<ConstructionProjectTemporary> {
    private String lineName;//线路名称
    private String projectName;//项目名称
    private String projectNumber;//项目定义号
    private String powerLine;//停电线路
    private String powerScope;//停电范围
    private String powerFlagPackage;//是否为停电打包项目
    private String parentId;//
    private String parentIds;//
    private Date arrangeTime;//安排月分
    private Date planTime;//供货计划到日
    private String flagPower;//是否带点
    private String status;//是否安排计划（0-未安排，1-待安排）

    private String htmlStatus;

    public String getHtmlStatus() {
        return htmlStatus;
    }

    public void setHtmlStatus(String htmlStatus) {
        this.htmlStatus = htmlStatus;
    }

    public String getFlagPower() {
        return flagPower;
    }

    public void setFlagPower(String flagPower) {
        this.flagPower = flagPower;
    }

    private String lineStatus;//0-是线路 1-不是线路
    @JsonFormat(pattern = "YYYY-MM")
    public Date getArrangeTime() {
        return arrangeTime;
    }

    public void setArrangeTime(Date arrangeTime) {
        this.arrangeTime = arrangeTime;
    }

    @JsonFormat(pattern = "YYYY-MM-DD")
    public Date getPlanTime() {
        return planTime;
    }

    public void setPlanTime(Date planTime) {
        this.planTime = planTime;
    }

    public String getLineStatus() {
        return lineStatus;
    }

    public void setLineStatus(String lineStatus) {
        this.lineStatus = lineStatus;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getPowerLine() {
        return powerLine;
    }

    public void setPowerLine(String powerLine) {
        this.powerLine = powerLine;
    }

    public String getPowerScope() {
        return powerScope;
    }

    public void setPowerScope(String powerScope) {
        this.powerScope = powerScope;
    }

    public String getPowerFlagPackage() {
        return powerFlagPackage;
    }

    public void setPowerFlagPackage(String powerFlagPackage) {
        this.powerFlagPackage = powerFlagPackage;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentIds() {
        return parentIds;
    }

    public void setParentIds(String parentIds) {
        this.parentIds = parentIds;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
